hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HADOOP-10530) Make hadoop trunk build on Java7+ only
Date Mon, 08 Dec 2014 15:32:12 GMT

     [ https://issues.apache.org/jira/browse/HADOOP-10530?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steve Loughran resolved HADOOP-10530.
-------------------------------------
       Resolution: Fixed
    Fix Version/s: 2.7.0
     Hadoop Flags: Incompatible change

> Make hadoop trunk build on Java7+ only
> --------------------------------------
>
>                 Key: HADOOP-10530
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10530
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.0.0, 2.6.0
>         Environment: Java 1.7+
>            Reporter: Steve Loughran
>            Assignee: Steve Loughran
>            Priority: Blocker
>             Fix For: 2.7.0
>
>         Attachments: HADOOP-10530-001.patch, HADOOP-10530-002.patch, HADOOP-10530-003.patch,
HADOOP-10530-004.patch, HADOOP-10530-005.patch, HADOOP-10530-debug.000.patch, Screen Shot
2014-09-20 at 18.09.05.png
>
>
> As discussed on hadoop-common, hadoop 3 is envisaged to be Java7+ *only* -this JIRA covers
switching the build for this
> # maven enforcer plugin to set Java version = {{[1.7)}}
> # compiler to set language to java 1.7



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message